Jump to content
SCAMPAI

Bug installation Prestashop 1.7

Recommended Posts

Bonjour,

 

Quelle joie de voir arriver la version finale de Prestashop 1.7. Hop, c'est parti pour l'installation, malheureusement stoppé net par un message sans aucune information?? C'est pas très cool pour une première.

 

screen.prestashop.1.7.png

Share this post


Link to post
Share on other sites

dis moi comment arrives tu là ?

moi je bug meme avant ca.

 

lorsque je déconpresse l'archive j'obtient un fichier Install.html, prestashop.zip, et index.php

je me connecte a mon site

et la une jolie (nouvelle) page d'installation se lance, commence un chargement qui boucle inf (quand je dis joli je ne parle pas de la tienne donc, sur ton screen shot qui est semblable a 1.6)

 

es tu passé par là ??

Edited by bacq_q (see edit history)

Share this post


Link to post
Share on other sites

Bonjour,

 

Quelle joie de voir arriver la version finale de Prestashop 1.7. Hop, c'est parti pour l'installation, malheureusement stoppé net par un message sans aucune information?? C'est pas très cool pour une première.

 

screen.prestashop.1.7.png

 

Bonjour

 

même problème, je vais un peu plus loin, installation des tables, et à 12% j'ai le même message d'erreur :(

Share this post


Link to post
Share on other sites

Bonjour

 

même problème, je vais un peu plus loin, installation des tables, et à 12% j'ai le même message d'erreur :(

 

le bug des 12% c'est un probleme d'extension dans le php.ini

tu avait déjà installé prestashop avant ?

 

mais comment arrivez vous a cette page ??

passez vous par la nouvelle installation d'abord  ??

 

 

http://hpics.li/f69d11a  passez vous par cette page ?

Edited by bacq_q (see edit history)

Share this post


Link to post
Share on other sites

le bug des 12% c'est un probleme d'extension dans le php.ini

tu avait déjà installé prestashop avant ?

 

Merci pour ta réponse rapide.

 

avant oui, j'avais installé une version 1.6, et aucun soucis.

et effectivement, j'ai vu un message comme ça passer, qui parlait d'un php.ini réglé sur non au lieu de oui, ça se trouve ou ça ?

Share this post


Link to post
Share on other sites

Merci pour ta réponse rapide.

 

avant oui, j'avais installé une version 1.6, et aucun soucis.

et effectivement, j'ai vu un message comme ça passer, qui parlait d'un php.ini réglé sur non au lieu de oui, ça se trouve ou ça ?

 

hélas si t'as déjà installé 1.6 qui marchait bien je suis tout de suite bien mojns sur de moi ^^

j'ai longtemps le soucis des 12% que j'ai réglé avec ce fichier php.ini mais dan ton cas ce ne doit surement pas etre ca ... puisque 1.6 fonctionnait

 

et moi ma question ? :) es tu passé par le screenshot que j'ai mis en lien au dessus ou pas du tout ?

Edited by bacq_q (see edit history)

Share this post


Link to post
Share on other sites

Bonjour,

 

 

le bug des 12% c'est un probleme d'extension dans le php.ini

tu avait déjà installé prestashop avant ?

 

mais comment arrivez vous a cette page ??

passez vous par la nouvelle installation d'abord  ??

 

 

http://hpics.li/f69d11a  passez vous par cette page ?

 

 

 

Vous avez deux solutions, vous pouvez soit décompresser le fichier télécharger et mettre les 3 éléments sur votre serveur, vous avez alors votre image, sinon vous pouvez aussi décompresser le zip dans le dossier et l'installer directement sur le serveur. Dans ce cas vous ne passez pas par votre image.

Edited by Ariane Web et Plus (see edit history)

Share this post


Link to post
Share on other sites

Bonjour,

 

 

 

 

 

Vous avez deux solutions, vous pouvez soit décompresser le fichier télécharger et mettre les 3 éléments sur votre serveur, vous avez alors votre image, sinon vous pouvez aussi décompresser le zip dans le dossier et l'installer directement sur le serveur. Dans ce cas vous ne passez pas par votre image.

 

ok super merci pour cet info, je vais réessayer

ca ne marche pas erreur 500

 

et pour le php.ini il se trouve sur ton serveur c'est la configuration de php, si le serveur ne vous appartient pas, je ne suis pas expert en la matière, si le serveur vous appartient, vous le trouverez dans /etc/php/<version php>/apache2/php.ini (dans le cas d'ubuntu server). Ensuite dans la doc de prestashop vous trouverez, les extensions et modules a installer. Dans mon, cas j'avais le soucis des 12 % car i me manquait une extension et/ou un module.

Edited by bacq_q (see edit history)

Share this post


Link to post
Share on other sites

j'ai envoyé les fichiers sur mon serveur, puis lancé l'install à partir de l'url de mon site.

à un moment, j'ai bien cette histoire de fichier php.ini, mais je n'y ai pas preté attention, vu que j'ai déja 2 sites qui tournent sur ce serveur.

Share this post


Link to post
Share on other sites

j'ai envoyé les fichiers sur mon serveur, puis lancé l'install à partir de l'url de mon site. à un moment, j'ai bien cette histoire de fichier php.ini, mais je n'y ai pas preté attention, vu que j'ai déja 2 sites qui tournent sur ce serveur.

 

on est un peu en train de s'approprier le post de SCAMPAI xD

 

le fais que tu es déjà 2 sites n'a pas de rapport, prestashop peut demander des options que tes deux autres sites ne demandent pas tout simplement.

mais je répète si ton 1.6 fonctionne, a priori, ta config ne pose pas de soucis ... même si je ne sais pas si des modifications sont nécéssaire pour l'install de 1.7, pero ca plante complètement chez moi qui avait un 1.6 fonctionnel ...

 

Donc je ne sais pas trop quoi te dire a partir de là...

Share this post


Link to post
Share on other sites

https://github.com/paragonie/random_compat/pull/120

dans vendor/paragonie/random_compat/lib/random.php

 

Mais bon vous allez quand même être déçu - vous serez prévenus

 

je cause pas mal le C et le python .... super le php ca ressemble au C .... mais de là a comprendre ton code qu'essaye tu de nous dire .. exprime toi nous somme tout ouie :)

 

en passant tu parles de php7 dans ton code conseillé ou toujours pas sous presta 1.7 ?

Edited by bacq_q (see edit history)

Share this post


Link to post
Share on other sites

Bonjour,

 

Quelle joie de voir arriver la version finale de Prestashop 1.7. Hop, c'est parti pour l'installation, malheureusement stoppé net par un message sans aucune information?? C'est pas très cool pour une première.

 

screen.prestashop.1.7.png

 

Même problème pour moi.

Base vierge , dossiers FTP mis en Chmod 777... rien n'y fait.

Share this post


Link to post
Share on other sites

Franchement, j'aimerai bien savoir quoi faire, idem après 2eme installation, le debug ne donne rien.

 

J'ai supprimé Prestashop 1.7 RC 1 et juste installé (2 fois) Prestashop 1.7 sur un serveur VPS OVH :

 

- OS: CentOS 6.7 (Final)

- Plesk version: 12.0.18

- PHP version 5.6

 

Quelqu'un a une idée ?

 

screen2.prestashop.1.7.png

Share this post


Link to post
Share on other sites

Bonjour,

 

Apparemment j'ai un petit peu plus de chance, j'arrive jusqu'à l'installation des modules (67 %), puis arrêt sans explication...

 

post-255788-0-10260900-1478612866_thumb.jpg

 

Il y surement un fichier de logs quelque part, si quelqu'un sait.

 

Merci pour votre aide

Share this post


Link to post
Share on other sites

je n'ai pas le support de PHP 7 sur le VPN d'OVH, PHP 5.6 max. J'ai passé les paramètres memory_limit = 128M et upload_max_filesize = 16M comme indiqué ici

mais toujours pareil :(

Share this post


Link to post
Share on other sites

En fait dans mes logs, je viens de trouver une erreur : 

 PHP Fatal error: Uncaught exception 'Defuse\\Crypto\\Exception\\EnvironmentIsBrokenException' with message 'Your system does not have a secure random number generator.'

que je retrouve sur http://build.prestashop.com/news/prestashop-1-7-0-0-released/

 

screen3-presta1.7.png

 

Cela fera parti d'un patch qui sera sur la version 1.7.0.1 !!! C'est très sympa !!!

Share this post


Link to post
Share on other sites

ok ok

et moi j'allais te faire part du fait que j'ai fait sauter la totalité de mon LAMP (tout ficheir de config avec) réinstallation avec php 7 et ..... ca marche :)

 

ehh ben non c'est pas vrai ca marche pas XD (je vais commander une corde et tabouret sur le net)

Edited by bacq_q (see edit history)

Share this post


Link to post
Share on other sites

Même problème que Scampai, échec à 0%

 

PHP 5.5.3
PDO supporté
GD version 2.1

OpenSSL 1.0.1e-fips 11 Feb 2013

zip-3.0-1.el6_7.1.x86_64
 

json et xml doivent y être puisque je les utilise...

Share this post


Link to post
Share on other sites

Comme toujours lors du lancement d'une nouvelle version bug en pagaille. Prestashop 1.7 même pas lancement d'installation de suite, error 500 OU PAGE BLANCHE SUIVANT NAVIGATEUR . Quelque soit la méthode je tourne en boucle. Bon j'ai pas mal fait de sites avec woocommerce ces derniers temps je crois que je vais laisser tomber prestashop et généraliser woocommerce, je suis désolé mais stabilité, fiabilité c'est important

Share this post


Link to post
Share on other sites

Comme toujours lors du lancement d'une nouvelle version bug en pagaille. Prestashop 1.7 même pas lancement d'installation de suite, error 500 OU PAGE BLANCHE SUIVANT NAVIGATEUR . Quelque soit la méthode je tourne en boucle. Bon j'ai pas mal fait de sites avec woocommerce ces derniers temps je crois que je vais laisser tomber prestashop et généraliser woocommerce, je suis désolé mais stabilité, fiabilité c'est important

 

Oui effectivement, je ne rencontre pas de soucis particulier, ni avec woocommerce, ni avec drupal commerce. Ah peut-être faut-il passer par le cloud de Prestashop...

Enfin, c'est pas très sérieux de balancer une version 1.7.0.0 "stable"

Share this post


Link to post
Share on other sites

Appliquez le patch que je donne dans mon post précédent si vous êtes avec php < 7

ça a beau être marqué sur le paquet que ça fonctionne en 5.4+ et bien sans ce patch, ça ne fonctionne qu'en php 7

Edited by doekia (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

Problème résolu pour moi, si ça peut aider quelqu'un voici ce que j'ai fait :

 

en dézipant l'archive de base, il y a une autre "archive zip" dedans, 1 fichier "index", 1 fichier html "install_prestashop".

en dézipant la 2eme archivezip, ça m'a demandé si je voulais remplacer le fichier index, je n'ai pas fait attention et j'ai cliqué sur oui.

 

là, je viens de remplacer ce fichier index, celui qui se trouve dans le 2eme archive zip, par celui qui est dans l'archive de base, et comme par magie installation immédiate, rapide, et complète.

 

En espérant que ça en aide certains :)

Share this post


Link to post
Share on other sites

Problème résolu pour moi, si ça peut aider quelqu'un voici ce que j'ai fait :

 

en dézipant l'archive de base, il y a une autre "archive zip" dedans, 1 fichier "index", 1 fichier html "install_prestashop".

en dézipant la 2eme archivezip, ça m'a demandé si je voulais remplacer le fichier index, je n'ai pas fait attention et j'ai cliqué sur oui.

 

là, je viens de remplacer ce fichier index, celui qui se trouve dans le 2eme archive zip, par celui qui est dans l'archive de base, et comme par magie installation immédiate, rapide, et complète.

 

En espérant que ça en aide certains :)

Effectivement cela s'est installé. J'ai bien accès au BO mais pas au front, message "Error was occured 0%"

Share this post


Link to post
Share on other sites

Appliquez le patch que je donne dans mon post précédent si vous êtes avec php < 7

ça a beau être marqué sur le paquet que ça fonctionne en 5.4+ et bien sans ce patch, ça ne fonctionne qu'en php 7

Merci Doekia, mais c'est vraiment trop de prise de tête et effectivement, je viens de faire une install sur un autre serveur avec PHP 7, ça marche.

Share this post


Link to post
Share on other sites

Effectivement cela s'est installé. J'ai bien accès au BO mais pas au front, message "Error was occured 0%"

 

Exact, back office impeccable, mais pas non plus accès au front office, meme message :(

Share this post


Link to post
Share on other sites

Effectivement cela s'est installé. J'ai bien accès au BO mais pas au front, message "Error was occured 0%"

J'ai trouvé:

remettre le premier fichier index.php à la base.

Share this post


Link to post
Share on other sites

PHP 5.4 et KO à 0%

J'ai modifié le fichier random.php comme signalé par DOEKIA, et comme une fusée ! ! !

 

bon maintenant je vais découvrir . . .

Share this post


Link to post
Share on other sites

Bon . . . ben . . . deçu

 

Pas de gestion des stocks avancés, quand vous cliquez sur d'autres thèmes, que du 1.6, quand vous cliquez sur la documentation, que du 1.6, le thème par défaut est très épuré (là je suis gentil), beaucoup de traduction manquante.

 

Ce n'est pas demain la veille que je vais y passer

 

Wait and see

Share this post


Link to post
Share on other sites

Bon . . . ben . . . deçu

 

Pas de gestion des stocks avancés, quand vous cliquez sur d'autres thèmes, que du 1.6, quand vous cliquez sur la documentation, que du 1.6, le thème par défaut est très épuré (là je suis gentil), beaucoup de traduction manquante.

 

Ce n'est pas demain la veille que je vais y passer

 

Wait and see

 

doekia avait prévenu.........

 

moi aussi très déçu :(

pas près de changer non plus.

Share this post


Link to post
Share on other sites

Hello,

 

Perso, après avoir transféré les fichiers sur mon espace web à la racine, quand je vais sur mon site, on ne me propose même pas l'assistant d'installation Prestashop. J'ai toujours l'écran de mon hébergeur :

 

CE NOM DE DOMAINE EST DÉJÀ ENREGISTRÉ. Ce domaine est enregistré chez 1&1.

 

Je ne comprends pas. Si quelqu'un a des idées ?

 

>> C'est bon, c'était en fait un fichier index.html que l'hébergeur 1and1 met à la racine de l'espace web. Il suffit de le supprimer.

Edited by Kaachaca (see edit history)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More